#!/bin/bash

# This file is part of VM-Experiments.
# Licensed under the GPL-3.0-or-later. See LICENSE for details.

read -p "Are you sure you want to install? (Type 'NO' to cancel, uppercase.)" install

if [ "$install" = "NO" ]; then
    reboot
fi

trap '' SIGINT SIGTERM

while true; do
    read -p "Enter a username (lowercase letters, digits, underscores and hyphens): " username
    chroot /mnt /bin/bash -c "useradd -m '$username'"

    if [ $? -eq 0 ]; then
        break
    fi
done

while true; do
    chroot /mnt /bin/bash -c "passwd '$username'"

    if [ $? -eq 0 ]; then
        break
    fi
done

while true; do
    read -p "Enter the hostname: " hostname
    chroot /mnt /bin/bash -c "echo $hostname > /etc/hostname"

    if [ $? -eq 0 ]; then
        break
    fi
done

cp /mnt/root/ca.crt /mnt/usr/local/share/ca-certificates/
chroot /mnt /bin/bash -c "update-ca-certificates"
